%define module_name POE-Component-ElasticSearch-Indexer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Const/Fast.pm) perl(Digest/SHA1.pm) perl(Fcntl.pm) perl(Getopt/Long/Descriptive.pm) perl(HTTP/Request.pm) perl(Hash/Merge/Simple.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Log/Log4perl.pm) perl(Module/Load.pm) perl(Module/Loaded.pm) perl(POE.pm) perl(Path/Tiny.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Pod/Wordlist.pm) perl(Ref/Util.pm) perl(Test/EOL.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(YAML.pm) perl(POE/Component/Client/HTTP.pm) perl(POE/Component/Client/Keepalive.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: POE session to index data to ElasticSearch
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLHOTSKY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module exists to provide event-based Perl programs with a simple way to
index documents into an ElasticSearch cluster.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.mkdn LICENSE
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Nov 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.010-alt1
- regenerated from template by package builder

* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- regenerated from template by package builder

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Sun Apr 29 2018 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

